<?php
session_start();
require_once('config.php');

if(0)
{
	UnsetConfigOptionSecret("adminHashedPassword");
	UnsetConfigOptionSecret("adminPasswordSalt");
}

$adminHashedPassword = GetConfigOption('adminHashedPassword');

//Set new password
if($adminHashedPassword === Null and isset($_POST['password']))
{
	$salt = uniqid();
	SetConfigOptionSecret("adminPasswordSalt", $salt);
	$hashed = sha1($salt.$_POST['password']);

	SetConfigOptionSecret("adminHashedPassword", $hashed);
	$adminHashedPassword = GetConfigOption('adminHashedPassword');
	//echo $hashed.",".$adminHashedPassword;
}

//Check login
$loginFailed = 0;
if($adminHashedPassword !== Null and isset($_POST['password']))
{
	$salt = GetConfigOption("adminPasswordSalt");
	//echo $adminHashedPassword.",".$salt;
	$hashedUserInput = sha1($salt.$_POST['password']);
	if($adminHashedPassword == $hashedUserInput)
	{
		$_SESSION['username'] = "admin";
	}
	else
	{
		$loginFailed = 1;
		//unset($_SESSION['username']);
	}
}

if(isset($_SESSION['username']) and $_SESSION['username'] == "admin" and isset($_POST['Update']))
{

	foreach($_POST as $key => $val)
	{
		if($key == "Update") continue;
		if($key == "recaptchaPrivate")
		{
			//echo "private ".$key."<br/>";
			SetConfigOptionSecret($key,$val);
		}
		else
		{
			//else echo "public ".$key."<br/>";
			SetConfigOption($key,$val);
		}
	}
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--
Design by Free CSS Templates
http://www.freecsstemplates.org
Released for free under a Creative Commons Attribution 2.5 License

Name       : Tomatoes
Description: A two-column, fixed-width design for 1024x768 screen resolutions.
Version    : 1.0
Released   : 20110301

-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title><?php echo GetConfigOption('overallTitle').", ".GetConfigOption('subTitle');?></title>
<meta name="keywords" content="" />
<meta name="description" content="" />
<link href="style.css" rel="stylesheet" type="text/css" media="screen" />
</head>
<body>
<div id="wrapper">
	<div id="header">
		<div id="menu">
			<ul>
				<?php $pageCatExplore = 1;
				require('topbar.php'); ?>
			</ul>
		</div>
		<!-- end #menu -->
	</div>
	<div id="logo">
		<h1><a href="#"><?php echo GetConfigOption('overallTitle');?></a></h1>
		<p><em><?php echo GetConfigOption('subTitle');?></em></p>
	</div>
	<hr />
	<!-- end #logo -->
	<div id="page">
		<div id="page-bgtop">
			<div id="content">

<?php

if($loginFailed)
{
?>
				<div class="post">
					<h2 class="title"><a href="#">Login Failed</a></h2>
					<div class="entry">
					<p>Please try again.</p>
					</div>
				</div>

<?php
}

if($adminHashedPassword === Null)
{
?>
				<div class="post">
					<h2 class="title"><a href="#">Set Admin Password</a></h2>
					<div class="entry">
						<form action="" method="post">
						<p>Password: <input type="password" name="password" value=""/></p>
						<p><input type="submit" value="Submit" /></p>
						</form>
					</div>
				</div>

<?php
}

if(!isset($_SESSION['username']) and $adminHashedPassword !== Null)
{
?>

				<div class="post">
					<h2 class="title"><a href="#">Log On</a></h2>
					<div class="entry">
						<form action="" method="post">
						<p>Password: <input type="password" name="password" value=""/></p>
						<p><input type="submit" value="Submit" /></p>
						</form>
					</div>
				</div>
<?php
}

if(isset($_SESSION['username']))
{
?>


				<div class="post">
					<h2 class="title"><a href="#">Administration</a></h2>
					<div class="entry">
						<p><a href="import.php">Import Dataset</a>, 
						<a href="roughposition.php">Set Initial Positions</a>
						<a href="recordadd.php">Add a Single Record</a>

						</p>


<h3>Basic Settings</h3>
<form action="" method="post">
<p>Site name: <input type="text" name="overallTitle" value="<?php echo htmlspecialchars(GetConfigOption('overallTitle')); ?>"/></p>
<p>Site subtitle: <input type="text" name="subTitle" value="<?php echo htmlspecialchars(GetConfigOption('subTitle')); ?>"/></p>
<p>Map Title: <input type="text" name="mapTitle" value="<?php echo htmlspecialchars(GetConfigOption('mapTitle')); ?>"/></p>
<p>Zoom (Overview): <input type="text" name="initialZoomOverview" value="<?php echo htmlspecialchars(GetConfigOption('initialZoomOverview')); ?>"/></p>
<p>Zoom (Mark Position): <input type="text" name="initialZoomMarking" value="<?php echo htmlspecialchars(GetConfigOption('initialZoomMarking')); ?>"/></p>
<p>Reuse Terms<br/><textarea name="reuseTerms" cols="80" rows="6"><?php echo htmlspecialchars(GetConfigOption('reuseTerms')); ?></textarea></p>
<p>Details<br/><textarea name="contact" cols="80" rows="6"><?php echo htmlspecialchars(GetConfigOption('contact')); ?></textarea></p>
<p>Footer<br/><textarea name="footer" cols="80" rows="6"><?php echo htmlspecialchars(GetConfigOption('footer')); ?></textarea></p>
<p>Front Page Text<br/><textarea name="frontPageText" cols="80" rows="6"><?php echo htmlspecialchars(GetConfigOption('frontPageText')); ?></textarea></p>
<p>Side Bar<br/><textarea name="sidebar" cols="80" rows="6"><?php echo htmlspecialchars(GetConfigOption('sidebar')); ?></textarea></p>
<h3>Advanced Settings</h3>
<p>Site Read Only Mode: <input type="text" name="readOnly" value="<?php echo htmlspecialchars(GetConfigOption('readOnly')); ?>"/></p>
<p>Noise in Marking Page: <input type="text" name="markPageNoise" value="<?php echo htmlspecialchars(GetConfigOption('markPageNoise')); ?>"/></p>
<p>Max Log Time (days): <input type="text" name="activityLogMaxTime" value="<?php echo htmlspecialchars(GetConfigOption('activityLogMaxTime')); ?>"/></p>
<p>Upload Database Name: <input type="text" name="uploadDatabaseName" value="<?php echo htmlspecialchars(GetConfigOption('uploadDatabaseName')); ?>"/></p>
<p>Admin Max Php Running Time: <input type="text" name="adminMaxPhpTime" value="<?php echo htmlspecialchars(GetConfigOption('adminMaxPhpTime')); ?>"/></p>
<p>Name column: <input type="text" name="nameCol" value="<?php echo htmlspecialchars(GetConfigOption('nameCol')); ?>"/></p>
<p>Unique ID column: <input type="text" name="idCol" value="<?php echo htmlspecialchars(GetConfigOption('idCol')); ?>"/></p>
<p>OSTN02 bz file: <input type="text" name="ostn02bzFile" value="<?php echo htmlspecialchars(GetConfigOption('ostn02bzFile')); ?>"/></p>
<p>OSTN02 sqlite file: <input type="text" name="ostn02sqliteFile" value="<?php echo htmlspecialchars(GetConfigOption('ostn02sqliteFile')); ?>"/></p>
<p>codepoint file: <input type="text" name="codepointFile" value="<?php echo htmlspecialchars(GetConfigOption('codepointFile')); ?>"/></p>

<h3>Read Web Site Content from Include Files</h3>
<p>Sidebar File: <input type="text" name="sidebarExternal" value="<?php echo htmlspecialchars(GetConfigOption('sidebarExternal')); ?>"/></p>
<p>Footer File: <input type="text" name="footerExternal" value="<?php echo htmlspecialchars(GetConfigOption('footerExternal')); ?>"/></p>
<p>Reuse Terms File: <input type="text" name="reuseTermsExternal" value="<?php echo htmlspecialchars(GetConfigOption('reuseTermsExternal')); ?>"/></p>
<p>Contact File: <input type="text" name="contactExternal" value="<?php echo htmlspecialchars(GetConfigOption('contactExternal')); ?>"/></p>

<h3>Captcha Settings</h3>
<p>Enabled: <input type="text" name="enableCaptcha" value="<?php echo htmlspecialchars(GetConfigOption('enableCaptcha')); ?>"/></p>
<p>Recaptcha Public Key: <input type="text" name="recaptchaPublic" value="<?php echo htmlspecialchars(GetConfigOption('recaptchaPublic')); ?>"/></p>
<p>Recaptcha Private Key: <input type="text" name="recaptchaPrivate" value="<?php echo htmlspecialchars(GetConfigOption('recaptchaPrivate')); ?>"/></p>

<h3>XAPI Settings</h3>

<p>XAPI Server URL: <input type="text" name="xapiUrl" value="<?php echo htmlspecialchars(GetConfigOption('xapiUrl')); ?>"/></p>
<p>Tag key: <input type="text" name="osmsearchkey" value="<?php echo htmlspecialchars(GetConfigOption('osmsearchkey')); ?>"/></p>
<p>Tag values (semi-colon delimited): <input type="text" name="osmsearchvalues" value="<?php echo htmlspecialchars(GetConfigOption('osmsearchvalues')); ?>"/></p>
<p>Latitude Search Distance: <input type="text" name="xapilatrange" value="<?php echo htmlspecialchars(GetConfigOption('xapilatrange')); ?>"/></p>
<p>Longitude Search Distance: <input type="text" name="xapilonrange" value="<?php echo htmlspecialchars(GetConfigOption('xapilonrange')); ?>"/></p>

<p><input type="submit" name="Update" value="Update" /></p>
</form>



					</div>
				</div>

<?php
}

?>
			</div>
			<!-- end #content -->
			<div id="sidebar">
				<ul>
					<?php require('sidebar.php'); ?>

				</ul>
			</div>
			<!-- end #sidebar -->
			<div style="clear: both;">&nbsp;</div>
		</div>
	</div>
	<!-- end #page -->
	<div id="footer">

<?php
	require_once('footer.php');
?>
	</div>
	<!-- end #footer -->
</div>
</body>
</html>
